version: '3.8'

# docker-compose -f ~/projects/spamfilter-ml/api/docker-compose.yml up --detach --build

services:
  prompt-projects:
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - APP_USER=projects
        - UID=${UID}
        - GID=${GID}
        - PORT=${EXTERNAL_PORT}
    image: prompt-projects
    container_name: prompt-projects
    ports:
      - "${EXTERNAL_PORT}:5005"
    volumes:
      - "./:/app"
      - /var/run/mysqld:/var/run/mysqld
    stdin_open: true
    tty: true
